7.119. libsemanage

Updated libsemanage packages that fix two bugs are now available for Red Hat Enterprise Linux 6.
The libsemanage library provides an API for the manipulation of SELinux binary policies. It is used by checkpolicy (the policy compiler) and similar tools, as well as by programs such as load_policy, which must perform specific transformations on binary policies (for example, customizing policy boolean settings).

Bug Fixes

BZ#798332
Previously, the "usepasswd" parameter was not available in the /etc/selinux/semanage.conf file. This update adds the missing "usepasswd" parameter to this file.
BZ#829378
When a custom SELinux policy module was loaded with an error, an error message that was not very informative was returned. This update fixes the error message to be more helpful for users.
All users of libsemanage are advised to upgrade to these updated packages, which fix these bugs.